package com.leanwo.activiti.dto.base;

/**
 * 主管领导DTO.
 *
 * @author YangZhiJie
 * @date 2021/01/22
 */
public class LeaderUserDto {

    /**  主管领导用户id. */
    private Long id;

    /**  主管领导用户姓名. */
    private String name;

    /**  主管领导管理的部门Id. */
    private Long responsibleOrganizationId;

    /**  主管领导管理的部门编号. */
    private String responsibleOrganizationName;
    
    /**  主管级次 1:直接主管，2:第2级主管，3:第3级主管. */
    private int leaderLevel;

   /**
    * Gets the 主管领导用户id.
    *
    * @return the 主管领导用户id
    */
   public Long getId() {
       return id;
   }

   /**
    * Sets the 主管领导用户id.
    *
    * @param id the new 主管领导用户id
    */
   public void setId(Long id) {
       this.id = id;
   }

   /**
    * Gets the 主管领导用户姓名.
    *
    * @return the 主管领导用户姓名
    */
   public String getName() {
       return name;
   }

   /**
    * Sets the 主管领导用户姓名.
    *
    * @param name the new 主管领导用户姓名
    */
   public void setName(String name) {
       this.name = name;
   }

   /**
    * Gets the 主管领导管理的部门Id.
    *
    * @return the 主管领导管理的部门Id
    */
   public Long getResponsibleOrganizationId() {
       return responsibleOrganizationId;
   }

   /**
    * Sets the 主管领导管理的部门Id.
    *
    * @param responsibleOrganizationId the new 主管领导管理的部门Id
    */
   public void setResponsibleOrganizationId(Long responsibleOrganizationId) {
       this.responsibleOrganizationId = responsibleOrganizationId;
   }

   /**
    * Gets the 主管领导管理的部门编号.
    *
    * @return the 主管领导管理的部门编号
    */
   public String getResponsibleOrganizationName() {
       return responsibleOrganizationName;
   }

   /**
    * Sets the 主管领导管理的部门编号.
    *
    * @param responsibleOrganizationName the new 主管领导管理的部门编号
    */
   public void setResponsibleOrganizationName(String responsibleOrganizationName) {
       this.responsibleOrganizationName = responsibleOrganizationName;
   }

   /**
    * Gets the 主管级次 1:直接主管，2:第2级主管，3:第3级主管.
    *
    * @return the 主管级次 1:直接主管，2:第2级主管，3:第3级主管
    */
   public int getLeaderLevel() {
       return leaderLevel;
   }

   /**
    * Sets the 主管级次 1:直接主管，2:第2级主管，3:第3级主管.
    *
    * @param leaderLevel the new 主管级次 1:直接主管，2:第2级主管，3:第3级主管
    */
   public void setLeaderLevel(int leaderLevel) {
       this.leaderLevel = leaderLevel;
   }
}